;##################################################################
;
;   Phoenix-Z80 (Images)
;
;   Programmed by Patrick Davidson (pad@calc.org)
;   Phoenix Z edit by Andy Kay (andrewrocks2003@yahoo.com)     
;   This program is in the public domain.  There is no warranty.
;                              
;   This file was last updated August 16, 2002.
;
;##################################################################     

;############## Standard enemies

img_enemy_4:
        .db     4,6
        .db     %10010000
        .db     %11110000
        .db     %10010000
        .db     %10010000
        .db     %10010000
        .db     %01100000

img_enemy_1:
        .db     4,4     
        .db     %10010000     
        .db     %11110000      
        .db     %01100000   
        .db     %01100000  

img_enemy_2:
        .db     5,3
        .db     %10001000
        .db     %11111000
        .db     %10001000

img_enemy_2a:
        .db     3,3
        .db     %10100000
        .db     %11100000
        .db     %01000000

img_operator:
        .db     4,4
        .db     %01100000
        .db     %10010000
        .db     %10010000
        .db     %01100000

img_spin1:
        .db     2
        .dw     img_spin_1a
        .db     2
        .dw     img_spin_1b
        .db     0
        .dw     img_spin1

img_spin_1a:
        .db     5,5
        .db     %10100000
        .db     %11010000
        .db     %10001000
        .db     %01011000
        .db     %00101000

img_spin_1b:
        .db     5,5
        .db     %00111000
        .db     %01010000
        .db     %10001000
        .db     %01010000
        .db     %11110000

img_spin2:
        .db     2
        .dw     img_spin_2a
        .db     2
        .dw     img_spin_2b
        .db     0
        .dw     img_spin2

img_spin_2a:
        .db     5,5
        .db     %10100000
        .db     %11110000
        .db     %11111000
        .db     %01111000
        .db     %00101000

img_spin_2b:
        .db     5,5
        .db     %00111000
        .db     %01110000
        .db     %11111000
        .db     %01110000
        .db     %11110000

;############## Special enemies

img_bounce:
        .db     4,4
        .db     %11110000
        .db     %01100000
        .db     %11110000
        .db     %01100000

img_enemy_3:
        .db     4
        .dw     img_enemy_3a
        .db     4
        .dw     img_enemy_3b
        .db     4
        .dw     img_enemy_3c
        .db     4
        .dw     img_enemy_3d
        .db     0
        .dw     img_enemy_3

img_enemy_3a:
        .db     5,5
        .db     %01110000
        .db     %10101000
        .db     %10101000
        .db     %10101000
        .db     %01110000

img_enemy_3b:
        .db     5,5
        .db     %01110000
        .db     %11001000
        .db     %10101000
        .db     %10011000
        .db     %01110000
img_enemy_3c:
        .db     5,5
        .db     %01110000
        .db     %10001000
        .db     %11111000
        .db     %10001000
        .db     %01110000
img_enemy_3d:
        .db     5,5
        .db     %01110000
        .db     %10011000
        .db     %10101000
        .db     %11001000
        .db     %01110000

;############## Bosses

img_boss2:
        .db     8,6
        .db     %11100111
        .db     %11111111
        .db     %10100101
        .db     %10100101
        .db     %11111111
        .db     %01000010

img_boss:
        .db     8,6
        .db     %10000001
        .db     %11111111
        .db     %10011001
        .db     %10011001
        .db     %11011011
        .db     %01111110

;############## Swooping enemy

img_swoop:
        .db     2
        .dw     swoop_stage1
        .db     2
        .dw     swoop_stage2
        .db     0
        .dw     img_swoop

swoop_stage1:
        .db     8,6
        .db     %11000011
        .db     %11011011
        .db     %11111111
        .db     %11111111
        .db     %11011011
        .db     %11000011

swoop_stage2:
        .db     8,6
        .db     %11000011
        .db     %11011011
        .db     %11111111
        .db     %11111111
        .db     %11011011
        .db     %11000011



;############## Players

img_player_ship_normal:
        .db     5,3
        .db     %10101000
        .db     %10101000
        .db     %11011000

img_player_ship_damaged:
        .db     5,3
        .db     %10001000
        .db     %10100000
        .db     %10011000

img_companion:
        .db     5,3     
        .DB     %00100000 
        .DB     %10101000
        .DB     %11111000

;############## Player bullets

img_player_bullet_0:
        .db     1,3
        .db     %10000000
        .db     %10000000
        .db     %10000000

img_player_bullet_1:
        .db     2,4
        .db     %11000000
        .db     %11000000
        .db     %11000000 
        .db     %11000000

img_player_bullet_2l:
        .db     2,4
        .db     %01000000
        .db     %11000000
        .db     %11000000
        .db     %10000000


img_player_bullet_2r:
        .db     2,4
        .db     %10000000
        .db     %11000000
        .db     %11000000
        .db     %01000000

img_player_bullet_3:
        .db     3,3
        .db     %01000000
        .db     %10100000
        .db     %01000000

img_player_bullet_5:
        .db     3,5
        .db     %01000000
        .db     %11100000
        .db     %11100000
        .db     %11100000
        .db     %10100000

img_quad_bullet:
        .db     3,3     
        .db     %01000000       
        .db     %11100000       
        .db     %11100000       

;############## Dropped items

img_eb_1:
        .db     1,1
        .db     %10000000

img_eb_3:
        .db     2,2
        .db     %11000000
        .db     %11000000

img_eb_2:
        .db     3,5
        .db     %01000000
        .db     %01000000
        .db     %01000000
        .db     %11100000
        .db     %01000000

img_money:
        .db     3,4
        .db     %01100000
        .db     %11000000
        .db     %01100000
        .db     %11000000

img_eb_4:
        .db     3,3
        .db     %01000000
        .db     %10100000
        .db     %01000000

;############## Explosion

explosion_sequence:
        .db     2
        .dw     x1
        .db     2
        .dw     x2
        .db     2
        .dw     x3
        .db     2
        .dw     x4
        .db     2
        .dw     x5
        .db     2
        .dw     x6
        .db     2
        .dw     x7
        .db     2
        .dw     x8
        .db     -1                      ; kill enemy

x1:     .db     8,6
        .db     %00000000       
        .db     %00011100       
        .DB     %00111110       
        .DB     %01010110       
        .DB     %00111000       
        .DB     %00000000

x2:     .db     8,6     
        .db     %00110000       
        .db     %01001110       
        .DB     %10111110       
        .DB     %01001111       
        .DB     %00111000       
        .DB     %00011010

x3:     .db     8,6     
        .db     %11110011       
        .db     %01001110       
        .DB     %10110101       
        .DB     %01000101       
        .DB     %00111110       
        .DB     %11011010

x4:     .db     8,6     
        .db     %11110011       
        .db     %01001110       
        .DB     %10110101       
        .DB     %01000101       
        .DB     %00111110       
        .DB     %11011010

x5:     .db     8,6     
        .db     %01000001       
        .db     %00100110       
        .DB     %00010101       
        .DB     %01000100       
        .DB     %00010010       
        .DB     %10011010

x6:     .db     8,6     
        .db     %01000010       
        .db     %00100000       
        .DB     %00000001       
        .DB     %01000100       
        .DB     %00100010
        .DB     %10001010

x7:     .db     8,6     
        .db     %00001000       
        .db     %11000010       
        .DB     %00000000       
        .db     %00100000       
        .db     %00000001       
        .db     %00110000

x8:     .db     8,6     
        .db     %00000100       
        .DB     %00000000       
        .DB     %01000000       
        .DB     %00000000       
        .db     %00000001       
        .db     %00100100

        .db     -1
